workspace:
  path: static-hoster
  base: /build

pipeline:
  build:
    image: docker:23-cli
    privileged: true
    commands:
      - apk add git
      - docker buildx build --no-cache -t dev.cat-enby.club/nikurasu/cobalt:latest -t dev.cat-enby.club/nikurasu/cobalt:$(date "+%Y-%m-%d") -f Dockerfile .
      - docker login -u $USER -p $PASSWORD dev.cat-enby.club
      - docker push dev.cat-enby.club/nikurasu/cobalt:latest
      - docker push dev.cat-enby.club/nikurasu/cobalt:$(date "+%Y-%m-%d")
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    secrets: [ user, password ]

branches: current
